# YamlFileParser

Implements \FileParserInterface

Implements a YamlFileParser to parse yaml-files as array.

author | Mike Lohmann mike.lohmann@deck36.de
package | phing.system.io

### Methods

## Flattens an array to key => value.

    flattenArray(array $arrayToFlatten,  $separator = '.',  $flattenedKey = '')

todo | : milo - 20142901 - If you plan to extend phing and add a new fileparser, please move this to an abstract class.

### Arguments

#### $arrayToFlatten

`array`

#### $separator

``

#### $flattenedKey

``

## Builds an array from the given (ini) file and returns it.

    parseFile(\PhingFile $file) : array

### Arguments

#### $file

`\PhingFile`

### Response

`array`